%define	libname %mklibname %{name} 
%define develname %mklibname %{name} -d

Summary:	Middleware to create and deploy parallel OpenGL-based applications
Name:		equalizer
Version:	1.0
Release:	%mkrel 1
Group:		Development/Libraries
License:	LGPLv2+
URL:		http://sourceforge.net/projects/equalizer/
Source0:	http://sourceforge.net/projects/equalizer/Equalizer-%{version}.tar.xz
BuildRequires:	cmake bison flex
BuildRequires:  boost-devel glew-devel
BuildRequires:  libx11-devel mesaglu-devel
BuildRequires:  %{_lib}OpenSceneGraph-devel >= 2.9.8
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Equalizer, the standard middleware to create and deploy parallel,
scalable OpenGL applications.

%package -n %{libname}
Summary:	Equalizer library
Group:		Development/Libraries

%description -n %{libname}
Equalizer, the standard middleware to create and deploy parallel,
scalable OpenGL applications.



%package -n %{develname}
Summary:	Development files for using the %{name} library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}


%description -n	%{develname}
Development files for using the %{name} library.

%prep

%setup -q -n Equalizer-%{version}
mkdir -p include/eq/GL
cp /usr/include/GL/{glew,glxew,wglew}.h include/eq/GL

%build
cmake .

%install
rm -rf %{buildroot}
%makeinstall_std 
mkdir -p  %{buildroot}/%{_includedir}/eq/GL
cp -r include/eq/GL/*.h %{buildroot}/%{_includedir}/eq/GL

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%{_bindir}/*
%dir %{_datadir}/Equalizer
%{_datadir}/Equalizer/configs
%{_datadir}/Equalizer/data
%{_datadir}/Equalizer/doc
#%{_libdir}/libEqualizer*.so.*
#%{_libdir}/libCollage*.so.*
/usr/lib/libCollage.so
/usr/lib/libCollage.so.0.3.0
/usr/lib/libEqualizer.so
/usr/lib/libEqualizer.so.1.0.0

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/vmmlib
%{_includedir}/eq
%{_includedir}/co
#%{_libdir}/libCollage*.so
#%{_libdir}/pkgconfig/Collage.pc
/usr/lib/libEqualizerAdmin.so
/usr/lib/libEqualizerAdmin.so.1.0.0
#%{_libdir}/libEqualizer*.so
/usr/lib/libEqualizerServer.so
/usr/lib/libEqualizerServer.so.1.0.0
#%{_libdir}/pkgconfig/Equalizer.pc
/usr/lib/pkgconfig/Collage.pc
/usr/lib/pkgconfig/Equalizer.pc
%dir %{_datadir}/Equalizer
%doc %{_datadir}/Equalizer/examples

%changelog
* Fri Oct 19 2012 Neal <nealbrks0 at gmail dot com> 1.0-1pclos2012
- process

* Thu Oct 18 2012 Ken <lxgator at gmail.com> 1.0-1pclos2012
- initial build
